import {SettingsTypes} from '../../core';
import { JSON_EDITOR_ACTION_TYPES } from '../constants/actionTypes';



const defaultState = {
    active: SettingsTypes.USER,
};

const reducer = (state = defaultState, action) => {
    const { type, payload } = action;

    switch (type) {
        case JSON_EDITOR_ACTION_TYPES.SET_ACTIVE:
            return { ...state, active: payload };
        case JSON_EDITOR_ACTION_TYPES.SET_WIDTH:
            return { ...state, width: payload };
        case JSON_EDITOR_ACTION_TYPES.SET_NEW_LINE:
            return { ...state, newLine: payload };
        default:
            return state;
    }
};

export default reducer;
