export declare type ICustomSettingsApiProps = {
    userPref?: any;
    saveMutate: (args: any) => any;
    updateConfigMutate: () => void;
};
export declare type ICustomSettingsStateProps = {
    activeId: number;
    newLine: string;
    rootPath: string;
};
export declare type ICustomSettingsDispatchProps = {
    setActiveJsonEditor: (editorId: number) => void;
    change: (changed: boolean) => void;
    setNewLine: (content) => void;
};
export declare type ICustomSettingsOwnProps = {
    styles: any;
    onKeyDown: any;
    client: any;
    content: any;
    onChange: any;
};
export declare type ICustomSettingsState = {
    prefs: any;
};
export declare type ICustomSettings = ICustomSettingsApiProps & ICustomSettingsStateProps & ICustomSettingsDispatchProps & ICustomSettingsOwnProps;
export declare const CustomSettings: any;
