module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "../common/jsonc-parser/impl/edit.ts":
/*!*******************************************!*\
  !*** ../common/jsonc-parser/impl/edit.ts ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const format_1 = __webpack_require__(/*! ./format */ "../common/jsonc-parser/impl/format.ts");
const parser_1 = __webpack_require__(/*! ./parser */ "../common/jsonc-parser/impl/parser.ts");
function removeProperty(text, path, formattingOptions) {
    return setProperty(text, path, void 0, formattingOptions);
}
exports.removeProperty = removeProperty;
function setProperty(text, path, value, formattingOptions, getInsertionIndex) {
    let errors = [];
    let root = parser_1.parseTree(text, errors);
    let parent = void 0;
    let lastSegment = void 0;
    while (path.length > 0) {
        lastSegment = path.pop();
        parent = parser_1.findNodeAtLocation(root, path);
        if (parent === void 0 && value !== void 0) {
            if (typeof lastSegment === 'string') {
                value = { [lastSegment]: value };
            }
            else {
                value = [value];
            }
        }
        else {
            break;
        }
    }
    if (!parent) {
        if (value === void 0) {
            throw new Error('Can not delete in empty document');
        }
        return withFormatting(text, { offset: root ? root.offset : 0, length: root ? root.length : 0, content: JSON.stringify(value) }, formattingOptions);
    }
    else if (parent.type === 'object' && typeof lastSegment === 'string' && Array.isArray(parent.children)) {
        let existing = parser_1.findNodeAtLocation(parent, [lastSegment]);
        if (existing !== void 0) {
            if (value === void 0) {
                if (!existing.parent) {
                    throw new Error('Malformed AST');
                }
                let propertyIndex = parent.children.indexOf(existing.parent);
                let removeBegin;
                let removeEnd = existing.parent.offset + existing.parent.length;
                if (propertyIndex > 0) {
                    let previous = parent.children[propertyIndex - 1];
                    removeBegin = previous.offset + previous.length;
                }
                else {
                    removeBegin = parent.offset + 1;
                    if (parent.children.length > 1) {
                        let next = parent.children[1];
                        removeEnd = next.offset;
                    }
                }
                return withFormatting(text, { offset: removeBegin, length: removeEnd - removeBegin, content: '' }, formattingOptions);
            }
            else {
                return withFormatting(text, { offset: existing.offset, length: existing.length, content: JSON.stringify(value) }, formattingOptions);
            }
        }
        else {
            if (value === void 0) {
                return [];
            }
            let newProperty = `${JSON.stringify(lastSegment)}: ${JSON.stringify(value)}`;
            let index = getInsertionIndex ? getInsertionIndex(parent.children.map(p => p.children[0].value)) : parent.children.length;
            let edit;
            if (index > 0) {
                let previous = parent.children[index - 1];
                edit = { offset: previous.offset + previous.length, length: 0, content: ',' + newProperty };
            }
            else if (parent.children.length === 0) {
                edit = { offset: parent.offset + 1, length: 0, content: newProperty };
            }
            else {
                edit = { offset: parent.offset + 1, length: 0, content: newProperty + ',' };
            }
            return withFormatting(text, edit, formattingOptions);
        }
    }
    else if (parent.type === 'array' && typeof lastSegment === 'number' && Array.isArray(parent.children)) {
        let insertIndex = lastSegment;
        if (insertIndex === -1) {
            let newProperty = `${JSON.stringify(value)}`;
            let edit;
            if (parent.children.length === 0) {
                edit = { offset: parent.offset + 1, length: 0, content: newProperty };
            }
            else {
                let previous = parent.children[parent.children.length - 1];
                edit = { offset: previous.offset + previous.length, length: 0, content: ',' + newProperty };
            }
            return withFormatting(text, edit, formattingOptions);
        }
        else {
            if (value === void 0 && parent.children.length >= 0) {
                let removalIndex = lastSegment;
                let toRemove = parent.children[removalIndex];
                let edit;
                if (parent.children.length === 1) {
                    edit = { offset: parent.offset + 1, length: parent.length - 2, content: '' };
                }
                else if (parent.children.length - 1 === removalIndex) {
                    let previous = parent.children[removalIndex - 1];
                    let offset = previous.offset + previous.length;
                    let parentEndOffset = parent.offset + parent.length;
                    edit = { offset, length: parentEndOffset - 2 - offset, content: '' };
                }
                else {
                    edit = { offset: toRemove.offset, length: parent.children[removalIndex + 1].offset - toRemove.offset, content: '' };
                }
                return withFormatting(text, edit, formattingOptions);
            }
            else {
                throw new Error('Array modification not supported yet');
            }
        }
    }
    else {
        throw new Error(`Can not add ${typeof lastSegment !== 'number' ? 'index' : 'property'} to parent of type ${parent.type}`);
    }
}
exports.setProperty = setProperty;
function withFormatting(text, edit, formattingOptions) {
    let newText = applyEdit(text, edit);
    let begin = edit.offset;
    let end = edit.offset + edit.content.length;
    if (edit.length === 0 || edit.content.length === 0) {
        while (begin > 0 && !format_1.isEOL(newText, begin - 1)) {
            begin--;
        }
        while (end < newText.length && !format_1.isEOL(newText, end)) {
            end++;
        }
    }
    let edits = format_1.format(newText, { offset: begin, length: end - begin }, formattingOptions);
    for (let i = edits.length - 1; i >= 0; i--) {
        let edit = edits[i];
        newText = applyEdit(newText, edit);
        begin = Math.min(begin, edit.offset);
        end = Math.max(end, edit.offset + edit.length);
        end += edit.content.length - edit.length;
    }
    let editLength = text.length - (newText.length - end) - begin;
    return [{ offset: begin, length: editLength, content: newText.substring(begin, end) }];
}
function applyEdit(text, edit) {
    return text.substring(0, edit.offset) + edit.content + text.substring(edit.offset + edit.length);
}
exports.applyEdit = applyEdit;
function isWS(text, offset) {
    return '\r\n \t'.indexOf(text.charAt(offset)) !== -1;
}
exports.isWS = isWS;


/***/ }),

/***/ "../common/jsonc-parser/impl/format.ts":
/*!*********************************************!*\
  !*** ../common/jsonc-parser/impl/format.ts ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const scanner_1 = __webpack_require__(/*! ./scanner */ "../common/jsonc-parser/impl/scanner.ts");
function format(documentText, range, options) {
    let initialIndentLevel;
    let formatText;
    let formatTextStart;
    let rangeStart;
    let rangeEnd;
    if (range) {
        rangeStart = range.offset;
        rangeEnd = rangeStart + range.length;
        formatTextStart = rangeStart;
        while (formatTextStart > 0 && !isEOL(documentText, formatTextStart - 1)) {
            formatTextStart--;
        }
        let endOffset = rangeEnd;
        while (endOffset < documentText.length && !isEOL(documentText, endOffset)) {
            endOffset++;
        }
        formatText = documentText.substring(formatTextStart, endOffset);
        initialIndentLevel = computeIndentLevel(formatText, options);
    }
    else {
        formatText = documentText;
        initialIndentLevel = 0;
        formatTextStart = 0;
        rangeStart = 0;
        rangeEnd = documentText.length;
    }
    let eol = getEOL(options, documentText);
    let lineBreak = false;
    let indentLevel = 0;
    let indentValue;
    if (options.insertSpaces) {
        indentValue = repeat(' ', options.tabSize || 4);
    }
    else {
        indentValue = '\t';
    }
    let scanner = scanner_1.createScanner(formatText, false);
    let hasError = false;
    function newLineAndIndent() {
        return eol + repeat(indentValue, initialIndentLevel + indentLevel);
    }
    function scanNext() {
        let token = scanner.scan();
        lineBreak = false;
        while (token === 15 || token === 14) {
            lineBreak = lineBreak || (token === 14);
            token = scanner.scan();
        }
        hasError = token === 16 || scanner.getTokenError() !== 0;
        return token;
    }
    let editOperations = [];
    function addEdit(text, startOffset, endOffset) {
        if (!hasError && startOffset < rangeEnd && endOffset > rangeStart && documentText.substring(startOffset, endOffset) !== text) {
            editOperations.push({ offset: startOffset, length: endOffset - startOffset, content: text });
        }
    }
    let firstToken = scanNext();
    if (firstToken !== 17) {
        let firstTokenStart = scanner.getTokenOffset() + formatTextStart;
        let initialIndent = repeat(indentValue, initialIndentLevel);
        addEdit(initialIndent, formatTextStart, firstTokenStart);
    }
    while (firstToken !== 17) {
        let firstTokenEnd = scanner.getTokenOffset() + scanner.getTokenLength() + formatTextStart;
        let secondToken = scanNext();
        let replaceContent = '';
        while (!lineBreak && (secondToken === 12 || secondToken === 13)) {
            let commentTokenStart = scanner.getTokenOffset() + formatTextStart;
            addEdit(' ', firstTokenEnd, commentTokenStart);
            firstTokenEnd = scanner.getTokenOffset() + scanner.getTokenLength() + formatTextStart;
            replaceContent = secondToken === 12 ? newLineAndIndent() : '';
            secondToken = scanNext();
        }
        if (secondToken === 2) {
            if (firstToken !== 1) {
                indentLevel--;
                replaceContent = newLineAndIndent();
            }
        }
        else if (secondToken === 4) {
            if (firstToken !== 3) {
                indentLevel--;
                replaceContent = newLineAndIndent();
            }
        }
        else {
            switch (firstToken) {
                case 3:
                case 1:
                    indentLevel++;
                    replaceContent = newLineAndIndent();
                    break;
                case 5:
                case 12:
                    replaceContent = newLineAndIndent();
                    break;
                case 13:
                    if (lineBreak) {
                        replaceContent = newLineAndIndent();
                    }
                    else {
                        replaceContent = ' ';
                    }
                    break;
                case 6:
                    replaceContent = ' ';
                    break;
                case 10:
                    if (secondToken === 6) {
                        replaceContent = '';
                        break;
                    }
                case 7:
                case 8:
                case 9:
                case 11:
                case 2:
                case 4:
                    if (secondToken === 12 || secondToken === 13) {
                        replaceContent = ' ';
                    }
                    else if (secondToken !== 5 && secondToken !== 17) {
                        hasError = true;
                    }
                    break;
                case 16:
                    hasError = true;
                    break;
            }
            if (lineBreak && (secondToken === 12 || secondToken === 13)) {
                replaceContent = newLineAndIndent();
            }
        }
        let secondTokenStart = scanner.getTokenOffset() + formatTextStart;
        addEdit(replaceContent, firstTokenEnd, secondTokenStart);
        firstToken = secondToken;
    }
    return editOperations;
}
exports.format = format;
function repeat(s, count) {
    let result = '';
    for (let i = 0; i < count; i++) {
        result += s;
    }
    return result;
}
function computeIndentLevel(content, options) {
    let i = 0;
    let nChars = 0;
    let tabSize = options.tabSize || 4;
    while (i < content.length) {
        let ch = content.charAt(i);
        if (ch === ' ') {
            nChars++;
        }
        else if (ch === '\t') {
            nChars += tabSize;
        }
        else {
            break;
        }
        i++;
    }
    return Math.floor(nChars / tabSize);
}
function getEOL(options, text) {
    for (let i = 0; i < text.length; i++) {
        let ch = text.charAt(i);
        if (ch === '\r') {
            if (i + 1 < text.length && text.charAt(i + 1) === '\n') {
                return '\r\n';
            }
            return '\r';
        }
        else if (ch === '\n') {
            return '\n';
        }
    }
    return (options && options.eol) || '\n';
}
function isEOL(text, offset) {
    return '\r\n'.indexOf(text.charAt(offset)) !== -1;
}
exports.isEOL = isEOL;


/***/ }),

/***/ "../common/jsonc-parser/impl/parser.ts":
/*!*********************************************!*\
  !*** ../common/jsonc-parser/impl/parser.ts ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const scanner_1 = __webpack_require__(/*! ./scanner */ "../common/jsonc-parser/impl/scanner.ts");
function getLocation(text, position) {
    let segments = [];
    let earlyReturnException = new Object();
    let previousNode = void 0;
    const previousNodeInst = {
        value: {},
        offset: 0,
        length: 0,
        type: 'object',
        parent: void 0
    };
    let isAtPropertyKey = false;
    function setPreviousNode(value, offset, length, type) {
        previousNodeInst.value = value;
        previousNodeInst.offset = offset;
        previousNodeInst.length = length;
        previousNodeInst.type = type;
        previousNodeInst.colonOffset = void 0;
        previousNode = previousNodeInst;
    }
    try {
        visit(text, {
            onObjectBegin: (offset, length) => {
                if (position <= offset) {
                    throw earlyReturnException;
                }
                previousNode = void 0;
                isAtPropertyKey = position > offset;
                segments.push('');
            },
            onObjectProperty: (name, offset, length) => {
                if (position < offset) {
                    throw earlyReturnException;
                }
                setPreviousNode(name, offset, length, 'property');
                segments[segments.length - 1] = name;
                if (position <= offset + length) {
                    throw earlyReturnException;
                }
            },
            onObjectEnd: (offset, length) => {
                if (position <= offset) {
                    throw earlyReturnException;
                }
                previousNode = void 0;
                segments.pop();
            },
            onArrayBegin: (offset, length) => {
                if (position <= offset) {
                    throw earlyReturnException;
                }
                previousNode = void 0;
                segments.push(0);
            },
            onArrayEnd: (offset, length) => {
                if (position <= offset) {
                    throw earlyReturnException;
                }
                previousNode = void 0;
                segments.pop();
            },
            onLiteralValue: (value, offset, length) => {
                if (position < offset) {
                    throw earlyReturnException;
                }
                setPreviousNode(value, offset, length, getLiteralNodeType(value));
                if (position <= offset + length) {
                    throw earlyReturnException;
                }
            },
            onSeparator: (sep, offset, length) => {
                if (position <= offset) {
                    throw earlyReturnException;
                }
                if (sep === ':' && previousNode && previousNode.type === 'property') {
                    previousNode.colonOffset = offset;
                    isAtPropertyKey = false;
                    previousNode = void 0;
                }
                else if (sep === ',') {
                    let last = segments[segments.length - 1];
                    if (typeof last === 'number') {
                        segments[segments.length - 1] = last + 1;
                    }
                    else {
                        isAtPropertyKey = true;
                        segments[segments.length - 1] = '';
                    }
                    previousNode = void 0;
                }
            }
        });
    }
    catch (e) {
        if (e !== earlyReturnException) {
            throw e;
        }
    }
    return {
        path: segments,
        previousNode,
        isAtPropertyKey,
        matches: (pattern) => {
            let k = 0;
            for (let i = 0; k < pattern.length && i < segments.length; i++) {
                if (pattern[k] === segments[i] || pattern[k] === '*') {
                    k++;
                }
                else if (pattern[k] !== '**') {
                    return false;
                }
            }
            return k === pattern.length;
        }
    };
}
exports.getLocation = getLocation;
function parse(text, errors = [], options) {
    let currentProperty = null;
    let currentParent = [];
    let previousParents = [];
    function onValue(value) {
        if (Array.isArray(currentParent)) {
            currentParent.push(value);
        }
        else if (currentProperty) {
            currentParent[currentProperty] = value;
        }
    }
    let visitor = {
        onObjectBegin: () => {
            let object = {};
            onValue(object);
            previousParents.push(currentParent);
            currentParent = object;
            currentProperty = null;
        },
        onObjectProperty: (name) => {
            currentProperty = name;
        },
        onObjectEnd: () => {
            currentParent = previousParents.pop();
        },
        onArrayBegin: () => {
            let array = [];
            onValue(array);
            previousParents.push(currentParent);
            currentParent = array;
            currentProperty = null;
        },
        onArrayEnd: () => {
            currentParent = previousParents.pop();
        },
        onLiteralValue: onValue,
        onError: (error, offset, length) => {
            errors.push({ error, offset, length });
        }
    };
    visit(text, visitor, options);
    return currentParent[0];
}
exports.parse = parse;
function parseTree(text, errors = [], options) {
    let currentParent = { type: 'array', offset: -1, length: -1, children: [], parent: void 0 };
    function ensurePropertyComplete(endOffset) {
        if (currentParent.type === 'property') {
            currentParent.length = endOffset - currentParent.offset;
            currentParent = currentParent.parent;
        }
    }
    function onValue(valueNode) {
        currentParent.children.push(valueNode);
        return valueNode;
    }
    let visitor = {
        onObjectBegin: (offset) => {
            currentParent = onValue({ type: 'object', offset, length: -1, parent: currentParent, children: [] });
        },
        onObjectProperty: (name, offset, length) => {
            currentParent = onValue({ type: 'property', offset, length: -1, parent: currentParent, children: [] });
            currentParent.children.push({ type: 'string', value: name, offset, length, parent: currentParent });
        },
        onObjectEnd: (offset, length) => {
            currentParent.length = offset + length - currentParent.offset;
            currentParent = currentParent.parent;
            ensurePropertyComplete(offset + length);
        },
        onArrayBegin: (offset, length) => {
            currentParent = onValue({ type: 'array', offset, length: -1, parent: currentParent, children: [] });
        },
        onArrayEnd: (offset, length) => {
            currentParent.length = offset + length - currentParent.offset;
            currentParent = currentParent.parent;
            ensurePropertyComplete(offset + length);
        },
        onLiteralValue: (value, offset, length) => {
            onValue({ type: getLiteralNodeType(value), offset, length, parent: currentParent, value });
            ensurePropertyComplete(offset + length);
        },
        onSeparator: (sep, offset, length) => {
            if (currentParent.type === 'property') {
                if (sep === ':') {
                    currentParent.colonOffset = offset;
                }
                else if (sep === ',') {
                    ensurePropertyComplete(offset);
                }
            }
        },
        onError: (error, offset, length) => {
            errors.push({ error, offset, length });
        }
    };
    visit(text, visitor, options);
    let result = currentParent.children[0];
    if (result) {
        delete result.parent;
    }
    return result;
}
exports.parseTree = parseTree;
function findNodeAtLocation(root, path) {
    if (!root) {
        return void 0;
    }
    let node = root;
    for (let segment of path) {
        if (typeof segment === 'string') {
            if (node.type !== 'object' || !Array.isArray(node.children)) {
                return void 0;
            }
            let found = false;
            for (let propertyNode of node.children) {
                if (Array.isArray(propertyNode.children) && propertyNode.children[0].value === segment) {
                    node = propertyNode.children[1];
                    found = true;
                    break;
                }
            }
            if (!found) {
                return void 0;
            }
        }
        else {
            let index = segment;
            if (node.type !== 'array' || index < 0 || !Array.isArray(node.children) || index >= node.children.length) {
                return void 0;
            }
            node = node.children[index];
        }
    }
    return node;
}
exports.findNodeAtLocation = findNodeAtLocation;
function getNodePath(node) {
    if (!node.parent || !node.parent.children) {
        return [];
    }
    let path = getNodePath(node.parent);
    if (node.parent.type === 'property') {
        let key = node.parent.children[0].value;
        path.push(key);
    }
    else if (node.parent.type === 'array') {
        let index = node.parent.children.indexOf(node);
        if (index !== -1) {
            path.push(index);
        }
    }
    return path;
}
exports.getNodePath = getNodePath;
function getNodeValue(node) {
    switch (node.type) {
        case 'array':
            return node.children.map(getNodeValue);
        case 'object':
            let obj = Object.create(null);
            for (let prop of node.children) {
                let valueNode = prop.children[1];
                if (valueNode) {
                    obj[prop.children[0].value] = getNodeValue(valueNode);
                }
            }
            return obj;
        case 'null':
        case 'string':
        case 'number':
        case 'boolean':
            return node.value;
        default:
            return void 0;
    }
}
exports.getNodeValue = getNodeValue;
function contains(node, offset, includeRightBound = false) {
    return (offset >= node.offset && offset < (node.offset + node.length)) || includeRightBound && (offset === (node.offset + node.length));
}
exports.contains = contains;
function findNodeAtOffset(node, offset, includeRightBound = false) {
    if (contains(node, offset, includeRightBound)) {
        let children = node.children;
        if (Array.isArray(children)) {
            for (let i = 0; i < children.length && children[i].offset <= offset; i++) {
                let item = findNodeAtOffset(children[i], offset, includeRightBound);
                if (item) {
                    return item;
                }
            }
        }
        return node;
    }
    return void 0;
}
exports.findNodeAtOffset = findNodeAtOffset;
function visit(text, visitor, options) {
    let _scanner = scanner_1.createScanner(text, false);
    function toNoArgVisit(visitFunction) {
        return visitFunction ? () => visitFunction(_scanner.getTokenOffset(), _scanner.getTokenLength()) : () => true;
    }
    function toOneArgVisit(visitFunction) {
        return visitFunction ? (arg) => visitFunction(arg, _scanner.getTokenOffset(), _scanner.getTokenLength()) : () => true;
    }
    let onObjectBegin = toNoArgVisit(visitor.onObjectBegin), onObjectProperty = toOneArgVisit(visitor.onObjectProperty), onObjectEnd = toNoArgVisit(visitor.onObjectEnd), onArrayBegin = toNoArgVisit(visitor.onArrayBegin), onArrayEnd = toNoArgVisit(visitor.onArrayEnd), onLiteralValue = toOneArgVisit(visitor.onLiteralValue), onSeparator = toOneArgVisit(visitor.onSeparator), onComment = toNoArgVisit(visitor.onComment), onError = toOneArgVisit(visitor.onError);
    let disallowComments = options && options.disallowComments;
    let allowTrailingComma = options && options.allowTrailingComma;
    function scanNext() {
        while (true) {
            let token = _scanner.scan();
            switch (_scanner.getTokenError()) {
                case 4:
                    handleError(14);
                    break;
                case 5:
                    handleError(15);
                    break;
                case 3:
                    handleError(13);
                    break;
                case 1:
                    if (!disallowComments) {
                        handleError(11);
                    }
                    break;
                case 2:
                    handleError(12);
                    break;
                case 6:
                    handleError(16);
                    break;
            }
            switch (token) {
                case 12:
                case 13:
                    if (disallowComments) {
                        handleError(10);
                    }
                    else {
                        onComment();
                    }
                    break;
                case 16:
                    handleError(1);
                    break;
                case 15:
                case 14:
                    break;
                default:
                    return token;
            }
        }
    }
    function handleError(error, skipUntilAfter = [], skipUntil = []) {
        onError(error);
        if (skipUntilAfter.length + skipUntil.length > 0) {
            let token = _scanner.getToken();
            while (token !== 17) {
                if (skipUntilAfter.indexOf(token) !== -1) {
                    scanNext();
                    break;
                }
                else if (skipUntil.indexOf(token) !== -1) {
                    break;
                }
                token = scanNext();
            }
        }
    }
    function parseString(isValue) {
        let value = _scanner.getTokenValue();
        if (isValue) {
            onLiteralValue(value);
        }
        else {
            onObjectProperty(value);
        }
        scanNext();
        return true;
    }
    function parseLiteral() {
        switch (_scanner.getToken()) {
            case 11:
                let value = 0;
                try {
                    value = JSON.parse(_scanner.getTokenValue());
                    if (typeof value !== 'number') {
                        handleError(2);
                        value = 0;
                    }
                }
                catch (e) {
                    handleError(2);
                }
                onLiteralValue(value);
                break;
            case 7:
                onLiteralValue(null);
                break;
            case 8:
                onLiteralValue(true);
                break;
            case 9:
                onLiteralValue(false);
                break;
            default:
                return false;
        }
        scanNext();
        return true;
    }
    function parseProperty() {
        if (_scanner.getToken() !== 10) {
            handleError(3, [], [2, 5]);
            return false;
        }
        parseString(false);
        if (_scanner.getToken() === 6) {
            onSeparator(':');
            scanNext();
            if (!parseValue()) {
                handleError(4, [], [2, 5]);
            }
        }
        else {
            handleError(5, [], [2, 5]);
        }
        return true;
    }
    function parseObject() {
        onObjectBegin();
        scanNext();
        let needsComma = false;
        while (_scanner.getToken() !== 2 && _scanner.getToken() !== 17) {
            if (_scanner.getToken() === 5) {
                if (!needsComma) {
                    handleError(4, [], []);
                }
                onSeparator(',');
                scanNext();
                if (_scanner.getToken() === 2 && allowTrailingComma) {
                    break;
                }
            }
            else if (needsComma) {
                handleError(6, [], []);
            }
            if (!parseProperty()) {
                handleError(4, [], [2, 5]);
            }
            needsComma = true;
        }
        onObjectEnd();
        if (_scanner.getToken() !== 2) {
            handleError(7, [2], []);
        }
        else {
            scanNext();
        }
        return true;
    }
    function parseArray() {
        onArrayBegin();
        scanNext();
        let needsComma = false;
        while (_scanner.getToken() !== 4 && _scanner.getToken() !== 17) {
            if (_scanner.getToken() === 5) {
                if (!needsComma) {
                    handleError(4, [], []);
                }
                onSeparator(',');
                scanNext();
                if (_scanner.getToken() === 4 && allowTrailingComma) {
                    break;
                }
            }
            else if (needsComma) {
                handleError(6, [], []);
            }
            if (!parseValue()) {
                handleError(4, [], [4, 5]);
            }
            needsComma = true;
        }
        onArrayEnd();
        if (_scanner.getToken() !== 4) {
            handleError(8, [4], []);
        }
        else {
            scanNext();
        }
        return true;
    }
    function parseValue() {
        switch (_scanner.getToken()) {
            case 3:
                return parseArray();
            case 1:
                return parseObject();
            case 10:
                return parseString(true);
            default:
                return parseLiteral();
        }
    }
    scanNext();
    if (_scanner.getToken() === 17) {
        return true;
    }
    if (!parseValue()) {
        handleError(4, [], []);
        return false;
    }
    if (_scanner.getToken() !== 17) {
        handleError(9, [], []);
    }
    return true;
}
exports.visit = visit;
function stripComments(text, replaceCh) {
    let _scanner = scanner_1.createScanner(text), parts = [], kind, offset = 0, pos;
    do {
        pos = _scanner.getPosition();
        kind = _scanner.scan();
        switch (kind) {
            case 12:
            case 13:
            case 17:
                if (offset !== pos) {
                    parts.push(text.substring(offset, pos));
                }
                if (replaceCh !== void 0) {
                    parts.push(_scanner.getTokenValue().replace(/[^\r\n]/g, replaceCh));
                }
                offset = _scanner.getPosition();
                break;
        }
    } while (kind !== 17);
    return parts.join('');
}
exports.stripComments = stripComments;
function getLiteralNodeType(value) {
    switch (typeof value) {
        case 'boolean': return 'boolean';
        case 'number': return 'number';
        case 'string': return 'string';
        default: return 'null';
    }
}


/***/ }),

/***/ "../common/jsonc-parser/impl/scanner.ts":
/*!**********************************************!*\
  !*** ../common/jsonc-parser/impl/scanner.ts ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
function createScanner(text, ignoreTrivia = false) {
    let pos = 0, len = text.length, value = '', tokenOffset = 0, token = 16, scanError = 0;
    function scanHexDigits(count, exact) {
        let digits = 0;
        let value = 0;
        while (digits < count || !exact) {
            let ch = text.charCodeAt(pos);
            if (ch >= 48 && ch <= 57) {
                value = value * 16 + ch - 48;
            }
            else if (ch >= 65 && ch <= 70) {
                value = value * 16 + ch - 65 + 10;
            }
            else if (ch >= 97 && ch <= 102) {
                value = value * 16 + ch - 97 + 10;
            }
            else {
                break;
            }
            pos++;
            digits++;
        }
        if (digits < count) {
            value = -1;
        }
        return value;
    }
    function setPosition(newPosition) {
        pos = newPosition;
        value = '';
        tokenOffset = 0;
        token = 16;
        scanError = 0;
    }
    function scanNumber() {
        let start = pos;
        if (text.charCodeAt(pos) === 48) {
            pos++;
        }
        else {
            pos++;
            while (pos < text.length && isDigit(text.charCodeAt(pos))) {
                pos++;
            }
        }
        if (pos < text.length && text.charCodeAt(pos) === 46) {
            pos++;
            if (pos < text.length && isDigit(text.charCodeAt(pos))) {
                pos++;
                while (pos < text.length && isDigit(text.charCodeAt(pos))) {
                    pos++;
                }
            }
            else {
                scanError = 3;
                return text.substring(start, pos);
            }
        }
        let end = pos;
        if (pos < text.length && (text.charCodeAt(pos) === 69 || text.charCodeAt(pos) === 101)) {
            pos++;
            if (pos < text.length && text.charCodeAt(pos) === 43 || text.charCodeAt(pos) === 45) {
                pos++;
            }
            if (pos < text.length && isDigit(text.charCodeAt(pos))) {
                pos++;
                while (pos < text.length && isDigit(text.charCodeAt(pos))) {
                    pos++;
                }
                end = pos;
            }
            else {
                scanError = 3;
            }
        }
        return text.substring(start, end);
    }
    function scanString() {
        let result = '', start = pos;
        while (true) {
            if (pos >= len) {
                result += text.substring(start, pos);
                scanError = 2;
                break;
            }
            let ch = text.charCodeAt(pos);
            if (ch === 34) {
                result += text.substring(start, pos);
                pos++;
                break;
            }
            if (ch === 92) {
                result += text.substring(start, pos);
                pos++;
                if (pos >= len) {
                    scanError = 2;
                    break;
                }
                ch = text.charCodeAt(pos++);
                switch (ch) {
                    case 34:
                        result += '\"';
                        break;
                    case 92:
                        result += '\\';
                        break;
                    case 47:
                        result += '/';
                        break;
                    case 98:
                        result += '\b';
                        break;
                    case 102:
                        result += '\f';
                        break;
                    case 110:
                        result += '\n';
                        break;
                    case 114:
                        result += '\r';
                        break;
                    case 116:
                        result += '\t';
                        break;
                    case 117:
                        let ch = scanHexDigits(4, true);
                        if (ch >= 0) {
                            result += String.fromCharCode(ch);
                        }
                        else {
                            scanError = 4;
                        }
                        break;
                    default:
                        scanError = 5;
                }
                start = pos;
                continue;
            }
            if (ch >= 0 && ch <= 0x1f) {
                if (isLineBreak(ch)) {
                    result += text.substring(start, pos);
                    scanError = 2;
                    break;
                }
                else {
                    scanError = 6;
                }
            }
            pos++;
        }
        return result;
    }
    function scanNext() {
        value = '';
        scanError = 0;
        tokenOffset = pos;
        if (pos >= len) {
            tokenOffset = len;
            return token = 17;
        }
        let code = text.charCodeAt(pos);
        if (isWhiteSpace(code)) {
            do {
                pos++;
                value += String.fromCharCode(code);
                code = text.charCodeAt(pos);
            } while (isWhiteSpace(code));
            return token = 15;
        }
        if (isLineBreak(code)) {
            pos++;
            value += String.fromCharCode(code);
            if (code === 13 && text.charCodeAt(pos) === 10) {
                pos++;
                value += '\n';
            }
            return token = 14;
        }
        switch (code) {
            case 123:
                pos++;
                return token = 1;
            case 125:
                pos++;
                return token = 2;
            case 91:
                pos++;
                return token = 3;
            case 93:
                pos++;
                return token = 4;
            case 58:
                pos++;
                return token = 6;
            case 44:
                pos++;
                return token = 5;
            case 34:
                pos++;
                value = scanString();
                return token = 10;
            case 47:
                let start = pos - 1;
                if (text.charCodeAt(pos + 1) === 47) {
                    pos += 2;
                    while (pos < len) {
                        if (isLineBreak(text.charCodeAt(pos))) {
                            break;
                        }
                        pos++;
                    }
                    value = text.substring(start, pos);
                    return token = 12;
                }
                if (text.charCodeAt(pos + 1) === 42) {
                    pos += 2;
                    let commentClosed = false;
                    while (pos < len) {
                        let ch = text.charCodeAt(pos);
                        if (ch === 42 && (pos + 1 < len) && text.charCodeAt(pos + 1) === 47) {
                            pos += 2;
                            commentClosed = true;
                            break;
                        }
                        pos++;
                    }
                    if (!commentClosed) {
                        pos++;
                        scanError = 1;
                    }
                    value = text.substring(start, pos);
                    return token = 13;
                }
                value += String.fromCharCode(code);
                pos++;
                return token = 16;
            case 45:
                value += String.fromCharCode(code);
                pos++;
                if (pos === len || !isDigit(text.charCodeAt(pos))) {
                    return token = 16;
                }
            case 48:
            case 49:
            case 50:
            case 51:
            case 52:
            case 53:
            case 54:
            case 55:
            case 56:
            case 57:
                value += scanNumber();
                return token = 11;
            default:
                while (pos < len && isUnknownContentCharacter(code)) {
                    pos++;
                    code = text.charCodeAt(pos);
                }
                if (tokenOffset !== pos) {
                    value = text.substring(tokenOffset, pos);
                    switch (value) {
                        case 'true': return token = 8;
                        case 'false': return token = 9;
                        case 'null': return token = 7;
                    }
                    return token = 16;
                }
                value += String.fromCharCode(code);
                pos++;
                return token = 16;
        }
    }
    function isUnknownContentCharacter(code) {
        if (isWhiteSpace(code) || isLineBreak(code)) {
            return false;
        }
        switch (code) {
            case 125:
            case 93:
            case 123:
            case 91:
            case 34:
            case 58:
            case 44:
                return false;
        }
        return true;
    }
    function scanNextNonTrivia() {
        let result;
        do {
            result = scanNext();
        } while (result >= 12 && result <= 15);
        return result;
    }
    return {
        setPosition: setPosition,
        getPosition: () => pos,
        scan: ignoreTrivia ? scanNextNonTrivia : scanNext,
        getToken: () => token,
        getTokenValue: () => value,
        getTokenOffset: () => tokenOffset,
        getTokenLength: () => pos - tokenOffset,
        getTokenError: () => scanError
    };
}
exports.createScanner = createScanner;
function isWhiteSpace(ch) {
    return ch === 32 || ch === 9 || ch === 11 || ch === 12 ||
        ch === 160 || ch === 5760 || ch >= 8192 && ch <= 8203 ||
        ch === 8239 || ch === 8287 || ch === 12288 || ch === 65279;
}
function isLineBreak(ch) {
    return ch === 10 || ch === 13 || ch === 8232 || ch === 8233;
}
function isDigit(ch) {
    return ch >= 48 && ch <= 57;
}


/***/ }),

/***/ "../common/jsonc-parser/main.ts":
/*!**************************************!*\
  !*** ../common/jsonc-parser/main.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const formatter = __webpack_require__(/*! ./impl/format */ "../common/jsonc-parser/impl/format.ts");
const edit = __webpack_require__(/*! ./impl/edit */ "../common/jsonc-parser/impl/edit.ts");
const scanner = __webpack_require__(/*! ./impl/scanner */ "../common/jsonc-parser/impl/scanner.ts");
const parser = __webpack_require__(/*! ./impl/parser */ "../common/jsonc-parser/impl/parser.ts");
exports.createScanner = scanner.createScanner;
exports.getLocation = parser.getLocation;
exports.parse = parser.parse;
exports.parseTree = parser.parseTree;
exports.findNodeAtLocation = parser.findNodeAtLocation;
exports.findNodeAtOffset = parser.findNodeAtOffset;
exports.getNodePath = parser.getNodePath;
exports.getNodeValue = parser.getNodeValue;
exports.visit = parser.visit;
exports.stripComments = parser.stripComments;
function format(documentText, range, options) {
    return formatter.format(documentText, range, options);
}
exports.format = format;
function modify(text, path, value, options) {
    return edit.setProperty(text, path, value, options.formattingOptions, options.getInsertionIndex);
}
exports.modify = modify;
function applyEdits(text, edits) {
    for (let i = edits.length - 1; i >= 0; i--) {
        text = edit.applyEdit(text, edits[i]);
    }
    return text;
}
exports.applyEdits = applyEdits;


/***/ }),

/***/ "./src/components/CustomSettings/CustomSettings.tsx":
/*!**********************************************************!*\
  !*** ./src/components/CustomSettings/CustomSettings.tsx ***!
  \**********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const classNames = __webpack_require__(/*! classnames */ "classnames");
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const core_1 = __webpack_require__(/*! ../../core */ "./src/core/index.ts");
const graphql_1 = __webpack_require__(/*! ../../graphql */ "./src/graphql/index.ts");
const utils_1 = __webpack_require__(/*! ../../utils */ "./src/utils/index.ts");
const componentStyles = __webpack_require__(/*! ./styles */ "./src/components/CustomSettings/styles.ts");
const main_1 = __webpack_require__(/*! ../../../../common/jsonc-parser/main */ "../common/jsonc-parser/main.ts");
const WorkspaceCustomSettings_1 = __webpack_require__(/*! ../WorkspaceCustomSettings */ "./src/components/WorkspaceCustomSettings/index.ts");
const UserCustomSettings_1 = __webpack_require__(/*! ../UserCustomSettings */ "./src/components/UserCustomSettings/index.ts");
class CustomSettingsView extends React.Component {
    constructor(props) {
        super(props);
        this.onChange = (newValue) => {
            const { prefs } = this.state;
            if (!prefs.newValue || prefs.newValue && prefs.newValue === '') {
                this.props.change(true);
            }
            this.setState({ prefs: Object.assign({}, prefs, { newValue: newValue }) });
        };
        this.onUserSettings = () => {
            this.props.setActiveJsonEditor(core_1.SettingsTypes.USER);
        };
        this.onWorkSpaceSettings = () => {
            this.props.setActiveJsonEditor(core_1.SettingsTypes.WORKSPACE);
        };
        this.onKeyDown = (e) => {
            const { onKeyDown, client, rootPath } = this.props;
            const { prefs } = this.state;
            let charCode = String.fromCharCode(e.which).toLowerCase();
            if ((e.metaKey || e.ctrlKey) && charCode === 's') {
                e.preventDefault();
                onKeyDown(e, { update: this.props.updateConfigMutate });
                const user = '1';
                if (prefs.newValue) {
                    this.props.saveMutate({ variables: { content: prefs.newValue, user } });
                    this.setState({ prefs: Object.assign({}, this.state.prefs, { content: prefs.newValue, newValue: '' }) });
                    let userSettings = {
                        data: null,
                        __typename: 'UserSettings',
                    };
                    try {
                        const savedSettings = client.readQuery({
                            query: graphql_1.USER_SETTINGS_QUERY,
                            variables: { user, rootpath: rootPath },
                        });
                        userSettings = savedSettings.userSettings;
                    }
                    catch (err) {
                    }
                    const settings = main_1.parse(prefs.newValue);
                    userSettings.data = JSON.stringify(settings);
                    client.writeQuery({
                        query: graphql_1.USER_SETTINGS_QUERY,
                        variables: { user, rootpath: rootPath },
                        data: { userSettings },
                    });
                    client.writeQuery({
                        query: graphql_1.USER_PREFERENCES_QUERY,
                        data: {
                            userPreferences: {
                                prefs: {
                                    content: prefs.newValue,
                                    user,
                                    __typename: 'IUserPreferences',
                                },
                                __typename: 'UserPreferencesRes',
                            },
                        },
                    });
                }
            }
        };
        this.state = {
            prefs: null,
        };
    }
    componentWillMount() {
        const { userPref } = this.props;
        if (userPref) {
            this.setState({ prefs: userPref.prefs });
        }
    }
    componentWillReceiveProps(nextProps) {
        const { userPref, newLine } = nextProps;
        const { userPref: userPrevPrefs, setNewLine } = this.props;
        if (userPref !== userPrevPrefs) {
            this.setState({ prefs: userPref.prefs });
        }
        if (newLine) {
            const { prefs } = this.state;
            setNewLine(null);
            let newContent = '';
            if (prefs) {
                let value = prefs.newValue && prefs.newValue !== '' ? prefs.newValue : prefs.content;
                const checked = utils_1.checkExist(value, newLine);
                if (!checked) {
                    newContent = utils_1.insertNewContent(value, newLine);
                }
                else {
                    newContent = checked.value;
                }
                this.onChange(newContent);
            }
            else {
                newContent = `{\n${newLine}\n}`;
                this.props.change(true);
                this.setState({ prefs: { newValue: newContent } });
            }
        }
    }
    render() {
        const { styles, activeId, content, onChange, userPref } = this.props;
        const { prefs } = this.state;
        return (React.createElement("div", { className: styles.container, onKeyDown: this.onKeyDown },
            React.createElement("div", { className: styles.tabWrapper },
                React.createElement("div", { className: activeId === 0 ? classNames(styles.activeTab, styles.tab) : styles.tab, onClick: this.onUserSettings }, "user serttings"),
                React.createElement("div", { className: activeId === 1 ? classNames(styles.activeTab, styles.tab) : styles.tab, onClick: this.onWorkSpaceSettings }, "workspace settings")),
            activeId === 0 &&
                React.createElement(UserCustomSettings_1.default, { prefs: prefs, onChange: this.onChange }),
            activeId === 1 &&
                React.createElement(WorkspaceCustomSettings_1.default, { content: content, onChange: onChange })));
    }
}
exports.CustomSettings = react_fela_1.connect({
    container: () => componentStyles.container(),
    tabWrapper: () => componentStyles.tabWrapper(),
    tab: ({ theme }) => componentStyles.tab(theme),
    activeTab: ({ theme }) => componentStyles.activeTab(theme),
})(react_fela_1.withTheme(CustomSettingsView));


/***/ }),

/***/ "./src/components/CustomSettings/index.ts":
/*!************************************************!*\
  !*** ./src/components/CustomSettings/index.ts ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const react_apollo_1 = __webpack_require__(/*! react-apollo */ "react-apollo");
const reselect_1 = __webpack_require__(/*! reselect */ "reselect");
const reducers_1 = __webpack_require__(/*! ../../reducers */ "./src/reducers/index.ts");
const client_redux_1 = __webpack_require__(/*! @files-stack/client-redux */ "@files-stack/client-redux");
const graphql_1 = __webpack_require__(/*! ../../graphql */ "./src/graphql/index.ts");
const CustomSettings_1 = __webpack_require__(/*! ./CustomSettings */ "./src/components/CustomSettings/CustomSettings.tsx");
const CustomSettingsWithData = react_apollo_1.compose(react_apollo_1.graphql(graphql_1.USER_PREFERENCES_QUERY, {
    props: reselect_1.createSelector(({ ownProps, data }) => data, (data) => ({ userPref: data.userPreferences })),
}), react_apollo_1.graphql(graphql_1.SAVE_USER_SETTINGS_MUTATE, { name: 'saveMutate' }), react_apollo_1.graphql(graphql_1.SAVE_WORKSPACE_SETTINGS_MUTATE, { name: 'updateConfigMutate' }))(react_apollo_1.withApollo(CustomSettings_1.CustomSettings));
const mapStateToProps = (state) => ({
    activeId: state.preferences.active,
    newLine: state.preferences.newLine,
    rootPath: state['@files/rootpath'],
});
const mapDispatchToProps = (dispatch) => ({
    setActiveJsonEditor: (editorId) => dispatch(reducers_1.setActiveJsonEditor(editorId)),
    change: (changed) => dispatch(client_redux_1.changeEditAction(changed)),
    setNewLine: (content) => dispatch(reducers_1.setNewLineAction(content)),
});
const CustomSettingsEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(CustomSettingsWithData);
exports.default = CustomSettingsEnhanced;


/***/ }),

/***/ "./src/components/CustomSettings/styles.ts":
/*!*************************************************!*\
  !*** ./src/components/CustomSettings/styles.ts ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const colors = {
    light: {
        colorActive: 'rgb(66, 66, 66)',
        borderBottomColorActive: 'rgba(128, 128, 128, 0.35)',
        outlineActive: '1px solid transparent',
        colorTab: '#424242',
        opacityTab: '0.7',
    },
    dark: {
        colorActive: '#e7e7e7',
        borderBottomColorActive: 'rgba(128, 128, 128, 0.35)',
        outlineActive: '1px solid transparent',
        colorTab: '#e7e7e7',
        opacityTab: '0.5',
    },
    hc: {
        colorActive: '#e7e7e7',
        borderBottomColorActive: 'rgb(243, 133, 24)',
        outlineActive: '1px solid rgb(243, 133, 24)',
        colorTab: '#e7e7e7',
        opacityTab: '0.5',
    },
};
exports.container = () => ({
    height: '100%',
});
exports.tabWrapper = () => ({
    display: 'flex',
    textTransform: 'uppercase',
});
exports.tab = (theme) => ({
    marginLeft: '33px',
    marginRight: '5px',
    cursor: 'pointer',
    textOverflow: 'ellipsis',
    fontSize: '11px',
    color: colors[theme.name].colorTab,
    opacity: colors[theme.name].opacityTab,
    borderWidth: '1px',
    borderStyle: 'solid',
    borderColor: 'transparent',
    padding: '3px 0',
});
exports.activeTab = (theme) => ({
    color: colors[theme.name].colorActive,
    borderBottomColor: colors[theme.name].borderBottomColorActive,
    opacity: '1!important',
    outline: colors[theme.name].outlineActive,
});


/***/ }),

/***/ "./src/components/DefaultSettings/DefaultSettings.tsx":
/*!************************************************************!*\
  !*** ./src/components/DefaultSettings/DefaultSettings.tsx ***!
  \************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const react_resizable_1 = __webpack_require__(/*! react-resizable */ "react-resizable");
const monaco_browser_1 = __webpack_require__(/*! @workbench-stack/monaco-browser */ "@workbench-stack/monaco-browser");
const utils_1 = __webpack_require__(/*! ../../utils */ "./src/utils/index.ts");
const HelperPopup_1 = __webpack_require__(/*! ../HelperPopup */ "./src/components/HelperPopup/index.ts");
class DefaultSettingsView extends React.Component {
    constructor(props) {
        super(props);
        this.onResizeStop = (e, { size: { width } }) => {
            if (width >= 200 && width <= 700) {
                this.props.resizeWidth(width);
            }
        };
        this.onResize = (e, { size: { width } }) => {
            if (width >= 200 && width <= 500) {
                this.props.resizeWidth(width);
            }
        };
        this.editorDidMount = (editor, monaco) => {
            editor.onDidScrollChange(e => {
                const { openHint } = this.state;
                if (openHint && e.scrollTopChanged) {
                    this.onHintHide();
                }
            });
            editor.onMouseDown(e => {
                const { defaultPrefs } = this.props;
                const { openHint } = this.state;
                if (openHint) {
                    this.onHintHide();
                }
                else if (e.target.element.className === 'cgmr line-hint' ||
                    e.target.element.parentElement.className === 'margin-view-overlays' ||
                    e.target.element.parentElement.className === 'margin-view-overlays focused') {
                    const line = e.target.position.lineNumber;
                    const prefIndex = Math.ceil(line / 3);
                    const prefsList = utils_1.getPrefsList(defaultPrefs);
                    if (line % 3 !== 0 && prefIndex <= prefsList.length) {
                        this.setState({
                            currentHint: prefsList[Math.ceil(line / 3) - 1],
                            openHint: true,
                            hintPosition: e.event.posy,
                        });
                    }
                    else {
                        this.onHintHide();
                    }
                }
            });
            this.monaco = monaco;
            this.editor = editor;
        };
        this.onHintHide = () => {
            this.setState({
                currentHint: null,
                openHint: false,
                hintPosition: null,
            });
        };
        this.state = {
            test: 0,
            openHint: false,
            currentHint: null,
            hintPosition: null,
        };
    }
    render() {
        const { styles, defaultPrefs, width, client, editorFile, activeId, editorContent, theme } = this.props;
        const { test, currentHint, openHint, hintPosition } = this.state;
        const editorOptions = {
            selectOnLineNumbers: false,
            readOnly: true,
            wordWrap: 'bounded',
            automaticLayout: true,
            minimap: {
                enabled: false,
            },
            lineNumbers: 'off',
            glyphMargin: true,
            theme: 'vs-dark',
        };
        setTimeout(() => {
            if (!test) {
                this.setState({ test: 1 });
            }
        }, 1500);
        if (!test) {
            return React.createElement("div", null);
        }
        const value = defaultPrefs ? utils_1.getContent(defaultPrefs) : '';
        if (theme) {
            editorOptions.theme = theme.className;
        }
        if (this.monaco) {
            const decorations = this.editor.deltaDecorations([], utils_1.getDeltaDecorations(this.monaco, this.props.defaultPrefs));
            this.viewZone = utils_1.addCategories(defaultPrefs, this.editor, this.viewZone);
        }
        return (React.createElement(react_resizable_1.Resizable, { id: 'defaultSettings', axis: 'x', height: Infinity, width: width, className: styles.resizable, onResize: this.onResize, onResizeStop: this.onResizeStop },
            React.createElement("div", { className: styles.container },
                React.createElement(monaco_browser_1.MonacoLoader, { width: "100%", height: "100%", language: "jsonc2", value: value, options: editorOptions, uri: "static/path", enableLanguageService: true, editorDidMount: this.editorDidMount }),
                React.createElement(HelperPopup_1.default, { preference: currentHint, onHideHints: this.onHintHide, open: openHint, client: client, editorFile: editorFile, activeId: activeId, hintPosition: hintPosition, editorContent: editorContent }))));
    }
}
exports.DefaultSettings = react_fela_1.connect({
    container: () => ({
        height: '100%',
        '& .line-hint': {
            background: `url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M14.598 4.25L12.91 6l-3-3 1.688-1.75 3 3zM8.91 4l-7 7 3 3 7-7-3-3zM1 12.09V15h2.91L1 12.09z' id='iconBg'/%3E%3C/svg%3E") 50% no-repeat`,
        },
        '& .widget-title': {
            background: 'gray',
            padding: '0 10px',
        },
    }),
    resizable: () => ({
        position: 'relative',
        '> .react-resizable-handle': {
            position: 'absolute',
            width: '20px',
            height: '100%',
            top: 0,
            right: 0,
            padding: '0 3px 3px 0',
            boxSizing: 'border-box',
            cursor: 'col-resize',
        },
    }),
})(react_fela_1.withTheme(DefaultSettingsView));


/***/ }),

/***/ "./src/components/DefaultSettings/index.ts":
/*!*************************************************!*\
  !*** ./src/components/DefaultSettings/index.ts ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const reducers_1 = __webpack_require__(/*! ../../reducers */ "./src/reducers/index.ts");
const DefaultSettings_1 = __webpack_require__(/*! ./DefaultSettings */ "./src/components/DefaultSettings/DefaultSettings.tsx");
const mapStateToProps = (state) => ({
    activeId: state.preferences.active,
    width: state.preferences.width,
});
const mapDispatchToProps = (dispatch) => ({
    resizeWidth: (width) => dispatch(reducers_1.resizeWidthAction(width)),
});
const DefaultSettingsWithDataEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(DefaultSettings_1.DefaultSettings);
exports.default = DefaultSettingsWithDataEnhanced;


/***/ }),

/***/ "./src/components/HelperPopup/HelperPopup.tsx":
/*!****************************************************!*\
  !*** ./src/components/HelperPopup/HelperPopup.tsx ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const enhanceWithClickOutside = __webpack_require__(/*! react-click-outside */ "react-click-outside");
const lodash_1 = __webpack_require__(/*! lodash */ "lodash");
const graphql_gql_1 = __webpack_require__(/*! @files-stack/graphql-gql */ "@files-stack/graphql-gql");
const utils_1 = __webpack_require__(/*! ../../utils */ "./src/utils/index.ts");
const COPY_TO_SETTINGS = 'Copy to settings';
class HelperPopupView extends React.Component {
    constructor() {
        super(...arguments);
        this.onListItemSelect = value => {
            const { client, editorFile, editorContent, rootPath, preference, activeId, setNewLine, onHideHints, } = this.props;
            let insertedValue = value;
            if ((!preference.enum || !preference.enum.length) && preference.type === 'string') {
                insertedValue = preference.default;
            }
            else if (preference.type === 'object') {
                insertedValue = preference.default.replace(/\"/g, `'`);
            }
            const insertedStr = `    "${preference.name}": "${insertedValue}",`;
            if (activeId === 1) {
                let newValue, changedEvent, changedEventCurrent;
                const resource = `${rootPath}/.cdecode`;
                const checked = utils_1.checkExist(editorContent.newValue, insertedStr);
                if (!checked) {
                    newValue = utils_1.insertNewContent(editorContent.newValue, insertedStr);
                    const editorArr = editorContent.newValue.split('\n');
                    const startLineNumber = editorArr.length;
                    const startColumnNumber = editorArr[editorArr.length - 2].length;
                    changedEventCurrent = this.mergeEvent(utils_1.change1(startLineNumber, startColumnNumber), utils_1.change2(insertedStr, startLineNumber));
                }
                else {
                    newValue = checked.value;
                    const startLineNumber = checked.checkedIndex + 1;
                    changedEventCurrent = utils_1.change4(insertedStr, startLineNumber, checked.oldLength);
                }
                if (!editorFile.changed) {
                    this.props.change(true);
                }
                changedEvent = editorContent.changedEvent
                    ? this.mergeEvent(editorContent.changedEvent, changedEventCurrent)
                    : changedEventCurrent;
                try {
                    const { changedContent } = client.readQuery({
                        query: graphql_gql_1.CHANGED_CONTENT_QUERY,
                        variables: { resource },
                    });
                    changedContent.resource = resource;
                    changedContent.changedEvent = changedEvent;
                    changedContent.value = newValue;
                    client.writeQuery({
                        query: graphql_gql_1.CHANGED_CONTENT_QUERY,
                        variables: { resource },
                        data: { changedContent },
                    });
                }
                catch (exception) {
                }
            }
            else if (activeId === 0) {
                setNewLine(insertedStr);
            }
            onHideHints();
        };
        this.renderPopupList = preference => {
            const { styles } = this.props;
            let hinstList = [COPY_TO_SETTINGS];
            if (preference.type !== 'object') {
                hinstList = utils_1.getHints(preference);
            }
            return lodash_1.map(hinstList, (item, index) => {
                return (React.createElement("div", { key: index, className: styles.listItem, onClick: () => this.onListItemSelect(item) }, item));
            });
        };
    }
    mergeEvent(a, b) {
        const changes = [].concat(a.changes).concat(b.changes);
        const versionId = b.versionId;
        const isUndoing = a.isUndoing || b.isUndoing;
        const isRedoing = a.isRedoing || b.isRedoing;
        return { changes, versionId, isUndoing, isRedoing };
    }
    render() {
        const { styles, open, preference } = this.props;
        if (!open) {
            return null;
        }
        return (React.createElement("div", { className: styles.popup }, this.renderPopupList(preference)));
    }
}
exports.HelperPopup = react_fela_1.connect({
    popup: ({ hintPosition }) => ({
        padding: '10px 0',
        left: '10px',
        borderRadius: '8px',
        background: 'gray',
        zIndex: 1,
        top: hintPosition ? `${hintPosition - 80}px` : '10px',
        fontSize: '12px',
        position: 'absolute',
    }),
    listItem: () => ({
        cursor: 'pointer',
        padding: '2px 10px',
        ':hover': {
            background: 'blue',
        },
    }),
})(enhanceWithClickOutside(HelperPopupView));


/***/ }),

/***/ "./src/components/HelperPopup/index.ts":
/*!*********************************************!*\
  !*** ./src/components/HelperPopup/index.ts ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const reducers_1 = __webpack_require__(/*! ../../reducers */ "./src/reducers/index.ts");
const client_redux_1 = __webpack_require__(/*! @files-stack/client-redux */ "@files-stack/client-redux");
const HelperPopup_1 = __webpack_require__(/*! ./HelperPopup */ "./src/components/HelperPopup/HelperPopup.tsx");
const mapStateToProps = (state) => ({
    rootPath: state['@files/rootpath'],
});
const mapDispatchToProps = (dispatch) => ({
    change: (changed) => dispatch(client_redux_1.changeEditAction(changed)),
    setNewLine: (content) => dispatch(reducers_1.setNewLineAction(content)),
});
const HelperPopupEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(HelperPopup_1.HelperPopup);
exports.default = HelperPopupEnhanced;


/***/ }),

/***/ "./src/components/UserCustomSettings/UserCustomSettings.tsx":
/*!******************************************************************!*\
  !*** ./src/components/UserCustomSettings/UserCustomSettings.tsx ***!
  \******************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const monaco_browser_1 = __webpack_require__(/*! @workbench-stack/monaco-browser */ "@workbench-stack/monaco-browser");
class UserCustomSettingsView extends React.Component {
    constructor() {
        super(...arguments);
        this.editorDidMount = (editor, monaco) => {
            monaco.languages.registerCodeLensProvider('jsonc', {
                provideCodeLenses: function (model, token) {
                    return [
                        {
                            range: {
                                startLineNumber: 1,
                                startColumn: 1,
                                endLineNumber: 2,
                                endColumn: 1,
                            },
                            id: 'TitleJsonc',
                            command: {
                                title: 'Place your settings here to overwrite the Default Settings',
                            },
                        },
                    ];
                },
                resolveCodeLens: function (model, codeLens, token) {
                    return codeLens;
                },
            });
            this.monaco = monaco;
            this.editor = editor;
        };
    }
    componentWillReceiveProps(nextProps) {
        const { theme, activeEditorId, prefs } = nextProps;
        const { prefs: prevPrefs } = this.props;
        if (theme !== this.props.theme) {
            if (this.monaco && this.monaco.editor) {
                this.monaco.editor.setTheme(theme.className);
            }
        }
    }
    render() {
        const { styles, activeId, theme, prefs, onChange } = this.props;
        const editorOptions = {
            selectOnLineNumbers: false,
            readOnly: false,
            theme: 'vs-dark',
            automaticLayout: true,
        };
        if (theme) {
            editorOptions.theme = theme.className;
        }
        let value = '{\n}';
        if (prefs) {
            value = prefs.newValue && prefs.newValue !== '' ? prefs.newValue : prefs.content;
        }
        return (React.createElement("div", { className: styles.container },
            React.createElement(monaco_browser_1.MonacoLoader, { width: "100%", height: "100%", language: "jsonc", value: value, options: editorOptions, onChange: onChange, uri: 'test/uri', enableLanguageService: true, editorDidMount: this.editorDidMount })));
    }
}
exports.UserCustomSettings = react_fela_1.connect({
    container: () => ({
        height: '100%',
    }),
})(react_fela_1.withTheme(UserCustomSettingsView));


/***/ }),

/***/ "./src/components/UserCustomSettings/index.ts":
/*!****************************************************!*\
  !*** ./src/components/UserCustomSettings/index.ts ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const UserCustomSettings_1 = __webpack_require__(/*! ./UserCustomSettings */ "./src/components/UserCustomSettings/UserCustomSettings.tsx");
const mapStateToProps = (state) => ({});
const mapDispatchToProps = dispatch => ({});
const WorkspaceCustomSettingsEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(UserCustomSettings_1.UserCustomSettings);
exports.default = WorkspaceCustomSettingsEnhanced;


/***/ }),

/***/ "./src/components/WorkspaceCustomSettings/WorkspaceCustomSettings.tsx":
/*!****************************************************************************!*\
  !*** ./src/components/WorkspaceCustomSettings/WorkspaceCustomSettings.tsx ***!
  \****************************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const monaco_browser_1 = __webpack_require__(/*! @workbench-stack/monaco-browser */ "@workbench-stack/monaco-browser");
class WorkspaceCustomSettingsView extends React.Component {
    constructor(props) {
        super(props);
        this.editorDidMount = (editor, monaco) => {
            this.monaco = monaco;
            this.editor = editor;
        };
        this.state = {
            content: null,
        };
    }
    componentWillMount() {
        const { content } = this.props;
        if (content) {
            this.setState({ content });
        }
    }
    componentWillReceiveProps(nextProps) {
        const { theme, activeEditorId, content } = nextProps;
        const { content: prevContent } = this.props;
        if (theme !== this.props.theme) {
            if (this.monaco && this.monaco.editor) {
                this.monaco.editor.setTheme(theme.className);
            }
        }
        if (content.newValue !== prevContent.newValue) {
            this.setState({ content });
        }
    }
    render() {
        const { styles, activeId, theme, onChange } = this.props;
        const { content } = this.state;
        const editorOptions = {
            selectOnLineNumbers: false,
            readOnly: false,
            theme: 'vs-dark',
            automaticLayout: true,
        };
        if (theme) {
            editorOptions.theme = theme.className;
        }
        let value = content ? content.newValue : '';
        const uri = content.resource ? content.resource.replace('file://', '') : '';
        return (React.createElement("div", { className: styles.container },
            React.createElement(monaco_browser_1.MonacoLoader, { width: "100%", height: "100%", language: "jsonc", value: value, options: editorOptions, onChange: onChange, uri: uri, enableLanguageService: true, editorDidMount: this.editorDidMount })));
    }
}
exports.WorkspaceCustomSettings = react_fela_1.connect({
    container: () => ({
        height: '100%',
        marginTop: '10px',
    }),
})(react_fela_1.withTheme(WorkspaceCustomSettingsView));


/***/ }),

/***/ "./src/components/WorkspaceCustomSettings/index.ts":
/*!*********************************************************!*\
  !*** ./src/components/WorkspaceCustomSettings/index.ts ***!
  \*********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const WorkspaceCustomSettings_1 = __webpack_require__(/*! ./WorkspaceCustomSettings */ "./src/components/WorkspaceCustomSettings/WorkspaceCustomSettings.tsx");
const mapStateToProps = (state) => ({});
const mapDispatchToProps = dispatch => ({});
const WorkspaceCustomSettingsEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(WorkspaceCustomSettings_1.WorkspaceCustomSettings);
exports.default = WorkspaceCustomSettingsEnhanced;


/***/ }),

/***/ "./src/containers/CustomJsonEditor/CustomJsonEditor.tsx":
/*!**************************************************************!*\
  !*** ./src/containers/CustomJsonEditor/CustomJsonEditor.tsx ***!
  \**************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const react_fela_1 = __webpack_require__(/*! react-fela */ "react-fela");
const Dimensions = __webpack_require__(/*! react-dimensions */ "react-dimensions");
const DefaultSettings_1 = __webpack_require__(/*! ../../components/DefaultSettings */ "./src/components/DefaultSettings/index.ts");
const CustomSettings_1 = __webpack_require__(/*! ../../components/CustomSettings */ "./src/components/CustomSettings/index.ts");
class CustomJsonEditor extends React.Component {
    constructor(props) {
        super(props);
        this.onChange = (e) => {
            let defaultPrefs;
            if (e.target.value === '') {
                defaultPrefs = this.props.defaultPrefs.preferences;
            }
            else {
                defaultPrefs = this.props.defaultPrefs.preferences.filter(el => {
                    return el.name.toLowerCase().indexOf(e.target.value) !== -1;
                });
            }
            this.setState({ search: e.target.value, defaultPrefs });
        };
        this.state = {
            search: null,
            defaultPrefs: null,
        };
    }
    componentWillMount() {
        if (this.props.defaultPrefs) {
            this.setState({ defaultPrefs: this.props.defaultPrefs.preferences });
        }
    }
    componentWillReceiveProps(nextProps) {
        if (nextProps.defaultPrefs !== this.props.defaultPrefs) {
            this.setState({ defaultPrefs: nextProps.defaultPrefs.preferences });
        }
    }
    componentDidMount() {
        this.props.resizeWidth(this.props.containerWidth / 2);
    }
    render() {
        const { styles, onKeyDown, content, onChange, editorFile, client } = this.props;
        const { defaultPrefs } = this.state;
        return (React.createElement("div", { className: styles.container },
            React.createElement("div", { className: styles.searchWrapper },
                React.createElement("input", { placeholder: "Search Settings", className: styles.search, onChange: this.onChange })),
            React.createElement("div", { className: styles.settings },
                React.createElement("div", { className: styles.left },
                    React.createElement(DefaultSettings_1.default, { editorContent: content, editorFile: editorFile, defaultPrefs: defaultPrefs, client: client })),
                React.createElement("div", { className: styles.right },
                    React.createElement(CustomSettings_1.default, { onKeyDown: onKeyDown, content: content, onChange: onChange })))));
    }
}
exports.default = Dimensions()(react_fela_1.connect({
    container: () => ({
        width: '100%',
        height: '100%',
    }),
    settings: () => ({
        display: 'flex',
        height: '100%',
    }),
    left: ({ defaultSettingsWidth }) => ({
        height: '100%',
        width: `${defaultSettingsWidth}px`,
    }),
    right: ({ defaultSettingsWidth }) => ({
        height: '100%',
        width: `calc(100% - ${defaultSettingsWidth}px)`,
    }),
    search: () => ({
        width: '100%',
    }),
    searchWrapper: () => ({
        padding: '20px',
    }),
})(CustomJsonEditor));


/***/ }),

/***/ "./src/containers/CustomJsonEditor/index.ts":
/*!**************************************************!*\
  !*** ./src/containers/CustomJsonEditor/index.ts ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const react_apollo_1 = __webpack_require__(/*! react-apollo */ "react-apollo");
const reselect_1 = __webpack_require__(/*! reselect */ "reselect");
const graphql_1 = __webpack_require__(/*! ../../graphql */ "./src/graphql/index.ts");
const reducers_1 = __webpack_require__(/*! ../../reducers */ "./src/reducers/index.ts");
const CustomJsonEditor_1 = __webpack_require__(/*! ./CustomJsonEditor */ "./src/containers/CustomJsonEditor/CustomJsonEditor.tsx");
const CustomJsonEditorWithData = react_apollo_1.compose(react_apollo_1.graphql(graphql_1.DEFAULT_PREFERENCE_QUERY, {
    props: reselect_1.createSelector(({ ownProps, data }) => data, (data) => ({ defaultPrefs: data.defaultPreferences })),
}))(react_apollo_1.withApollo(CustomJsonEditor_1.default));
const mapStateToProps = (state) => ({
    defaultSettingsWidth: state.preferences.width,
});
const mapDispatchToProps = (dispatch) => ({
    resizeWidth: (width) => dispatch(reducers_1.resizeWidthAction(width)),
});
const CustomJsonEditorEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(CustomJsonEditorWithData);
exports.default = CustomJsonEditorEnhanced;


/***/ }),

/***/ "./src/containers/index.ts":
/*!*********************************!*\
  !*** ./src/containers/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var CustomJsonEditor_1 = __webpack_require__(/*! ./CustomJsonEditor */ "./src/containers/CustomJsonEditor/index.ts");
exports.CustomJsonEditorEnhanced = CustomJsonEditor_1.default;


/***/ }),

/***/ "./src/core/index.ts":
/*!***************************!*\
  !*** ./src/core/index.ts ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./interface */ "./src/core/interface.ts"));


/***/ }),

/***/ "./src/core/interface.ts":
/*!*******************************!*\
  !*** ./src/core/interface.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var SettingsTypes;
(function (SettingsTypes) {
    SettingsTypes[SettingsTypes["USER"] = 0] = "USER";
    SettingsTypes[SettingsTypes["WORKSPACE"] = 1] = "WORKSPACE";
})(SettingsTypes = exports.SettingsTypes || (exports.SettingsTypes = {}));


/***/ }),

/***/ "./src/graphql/index.ts":
/*!******************************!*\
  !*** ./src/graphql/index.ts ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./mutations */ "./src/graphql/mutations/index.ts"));
__export(__webpack_require__(/*! ./queries */ "./src/graphql/queries/index.ts"));


/***/ }),

/***/ "./src/graphql/mutations/index.ts":
/*!****************************************!*\
  !*** ./src/graphql/mutations/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.SAVE_USER_SETTINGS_MUTATE = __webpack_require__(/*! ./saveUserSettings */ "./src/graphql/mutations/saveUserSettings.gql");
exports.SAVE_WORKSPACE_SETTINGS_MUTATE = __webpack_require__(/*! ./saveWorkspaceSettings */ "./src/graphql/mutations/saveWorkspaceSettings.gql");


/***/ }),

/***/ "./src/graphql/mutations/saveUserSettings.gql":
/*!****************************************************!*\
  !*** ./src/graphql/mutations/saveUserSettings.gql ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"saveUserSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"content"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"user"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"saveUserSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"content"},"value":{"kind":"Variable","name":{"kind":"Name","value":"content"}}},{"kind":"Argument","name":{"kind":"Name","value":"user"},"value":{"kind":"Variable","name":{"kind":"Name","value":"user"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":134}};
    doc.loc.source = {"body":"mutation saveUserSettings($content: String, $user: String) {\n    saveUserSettings(content: $content, user: $user) {\n        id\n    }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["saveUserSettings"] = oneQuery(doc, "saveUserSettings");
        


/***/ }),

/***/ "./src/graphql/mutations/saveWorkspaceSettings.gql":
/*!*********************************************************!*\
  !*** ./src/graphql/mutations/saveWorkspaceSettings.gql ***!
  \*********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"saveWorkspaceSettings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"saveWorkspaceSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"updated"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":84}};
    doc.loc.source = {"body":"mutation saveWorkspaceSettings {\n    saveWorkspaceSettings {\n        updated\n    }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["saveWorkspaceSettings"] = oneQuery(doc, "saveWorkspaceSettings");
        


/***/ }),

/***/ "./src/graphql/queries/defaultPreferences.gql":
/*!****************************************************!*\
  !*** ./src/graphql/queries/defaultPreferences.gql ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"DefaultPreferences"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultPreferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"preferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"data"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"default"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"categoryType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enum"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptions"},"arguments":[],"directives":[]}]}}]}}]}}]}}],"loc":{"start":0,"end":249}};
    doc.loc.source = {"body":"query DefaultPreferences {\n  defaultPreferences {\n    preferences {\n      type\n      data {\n        name\n        type\n        default\n        description\n        categoryType\n        settings\n        enum\n        enumDescriptions\n      }\n    }\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["DefaultPreferences"] = oneQuery(doc, "DefaultPreferences");
        


/***/ }),

/***/ "./src/graphql/queries/index.ts":
/*!**************************************!*\
  !*** ./src/graphql/queries/index.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.USER_PREFERENCES_QUERY = __webpack_require__(/*! ./userPreferences */ "./src/graphql/queries/userPreferences.gql");
exports.USER_PREFERENCES_VALUE_QUERY = __webpack_require__(/*! ./userPrefValue */ "./src/graphql/queries/userPrefValue.gql");
exports.USER_SETTINGS_QUERY = __webpack_require__(/*! ./userSettings */ "./src/graphql/queries/userSettings.gql");
exports.WORKSPACE_PREFERENCE_VALUE_QUERY = __webpack_require__(/*! ./workspacePrefValue */ "./src/graphql/queries/workspacePrefValue.gql");
exports.DEFAULT_PREFERENCE_QUERY = __webpack_require__(/*! ./defaultPreferences */ "./src/graphql/queries/defaultPreferences.gql");


/***/ }),

/***/ "./src/graphql/queries/userPrefValue.gql":
/*!***********************************************!*\
  !*** ./src/graphql/queries/userPrefValue.gql ***!
  \***********************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"UserPrefValue"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"name"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"user"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"userPrefValue"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"name"},"value":{"kind":"Variable","name":{"kind":"Name","value":"name"}}},{"kind":"Argument","name":{"kind":"Name","value":"user"},"value":{"kind":"Variable","name":{"kind":"Name","value":"user"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"value"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":111}};
    doc.loc.source = {"body":"query UserPrefValue($name: String, $user: String) {\n  userPrefValue(name: $name, user: $user) {\n    value\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["UserPrefValue"] = oneQuery(doc, "UserPrefValue");
        


/***/ }),

/***/ "./src/graphql/queries/userPreferences.gql":
/*!*************************************************!*\
  !*** ./src/graphql/queries/userPreferences.gql ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"UserPreferences"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"userPreferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"prefs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"content"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"user"},"arguments":[],"directives":[]}]}}]}}]}}],"loc":{"start":0,"end":95}};
    doc.loc.source = {"body":"query UserPreferences {\n  userPreferences{\n    prefs {\n        content\n        user\n    }\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["UserPreferences"] = oneQuery(doc, "UserPreferences");
        


/***/ }),

/***/ "./src/graphql/queries/userSettings.gql":
/*!**********************************************!*\
  !*** ./src/graphql/queries/userSettings.gql ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"UserPreferenceSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"user"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"rootpath"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"userSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"user"},"value":{"kind":"Variable","name":{"kind":"Name","value":"user"}}},{"kind":"Argument","name":{"kind":"Name","value":"rootpath"},"value":{"kind":"Variable","name":{"kind":"Name","value":"rootpath"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"data"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":130}};
    doc.loc.source = {"body":"query UserPreferenceSettings($user: String, $rootpath: String) {\n  userSettings(user: $user, rootpath: $rootpath) {\n    data\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["UserPreferenceSettings"] = oneQuery(doc, "UserPreferenceSettings");
        


/***/ }),

/***/ "./src/graphql/queries/workspacePrefValue.gql":
/*!****************************************************!*\
  !*** ./src/graphql/queries/workspacePrefValue.gql ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports) {


    var doc = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"WorkspacePrefValue"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"rootPath"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"name"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"workspacePrefValue"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"rootPath"},"value":{"kind":"Variable","name":{"kind":"Name","value":"rootPath"}}},{"kind":"Argument","name":{"kind":"Name","value":"name"},"value":{"kind":"Variable","name":{"kind":"Name","value":"name"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"value"},"arguments":[],"directives":[]}]}}]}}],"loc":{"start":0,"end":133}};
    doc.loc.source = {"body":"query WorkspacePrefValue($rootPath: String, $name: String) {\n  workspacePrefValue(rootPath: $rootPath, name: $name) {\n    value\n  }\n}","name":"GraphQL request","locationOffset":{"line":1,"column":1}};
  

    var names = {};
    function unique(defs) {
      return defs.filter(
        function(def) {
          if (def.kind !== 'FragmentDefinition') return true;
          var name = def.name.value
          if (names[name]) {
            return false;
          } else {
            names[name] = true;
            return true;
          }
        }
      )
    }
  

    // Collect any fragment/type references from a node, adding them to the refs Set
    function collectFragmentReferences(node, refs) {
      if (node.kind === "FragmentSpread") {
        refs.add(node.name.value);
      } else if (node.kind === "VariableDefinition") {
        var type = node.type;
        if (type.kind === "NamedType") {
          refs.add(type.name.value);
        }
      }

      if (node.selectionSet) {
        node.selectionSet.selections.forEach(function(selection) {
          collectFragmentReferences(selection, refs);
        });
      }

      if (node.variableDefinitions) {
        node.variableDefinitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }

      if (node.definitions) {
        node.definitions.forEach(function(def) {
          collectFragmentReferences(def, refs);
        });
      }
    }

    var definitionRefs = {};
    (function extractReferences() {
      doc.definitions.forEach(function(def) {
        if (def.name) {
          var refs = new Set();
          collectFragmentReferences(def, refs);
          definitionRefs[def.name.value] = refs;
        }
      });
    })();

    function findOperation(doc, name) {
      for (var i = 0; i < doc.definitions.length; i++) {
        var element = doc.definitions[i];
        if (element.name && element.name.value == name) {
          return element;
        }
      }
    }

    function oneQuery(doc, operationName) {
      // Copy the DocumentNode, but clear out the definitions
      var newDoc = {
        kind: doc.kind,
        definitions: [findOperation(doc, operationName)]
      };
      if (doc.hasOwnProperty("loc")) {
        newDoc.loc = doc.loc;
      }

      // Now, for the operation we're running, find any fragments referenced by
      // it or the fragments it references
      var opRefs = definitionRefs[operationName] || new Set();
      var allRefs = new Set();
      var newRefs = new Set(opRefs);
      while (newRefs.size > 0) {
        var prevRefs = newRefs;
        newRefs = new Set();

        prevRefs.forEach(function(refName) {
          if (!allRefs.has(refName)) {
            allRefs.add(refName);
            var childRefs = definitionRefs[refName] || new Set();
            childRefs.forEach(function(childRef) {
              newRefs.add(childRef);
            });
          }
        });
      }

      allRefs.forEach(function(refName) {
        var op = findOperation(doc, refName);
        if (op) {
          newDoc.definitions.push(op);
        }
      });

      return newDoc;
    }

    module.exports = doc;
    
        module.exports["WorkspacePrefValue"] = oneQuery(doc, "WorkspacePrefValue");
        


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = __webpack_require__(/*! ./module */ "./src/module.ts");
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
__export(__webpack_require__(/*! ./containers */ "./src/containers/index.ts"));
__export(__webpack_require__(/*! ./graphql */ "./src/graphql/index.ts"));
exports.default = new client_react_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const reducers_1 = __webpack_require__(/*! ./reducers */ "./src/reducers/index.ts");
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
exports.default = new client_react_1.Feature({
    reducer: { preferences: reducers_1.preferencesReducer },
    dataIdFromObject: {
        'UserSettings': (result) => result.__typename + ':' + result.resource,
    },
});


/***/ }),

/***/ "./src/reducers/actions/index.ts":
/*!***************************************!*\
  !*** ./src/reducers/actions/index.ts ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./jsonEditor */ "./src/reducers/actions/jsonEditor.ts"));


/***/ }),

/***/ "./src/reducers/actions/jsonEditor.ts":
/*!********************************************!*\
  !*** ./src/reducers/actions/jsonEditor.ts ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(/*! ../constants/actionTypes */ "./src/reducers/constants/actionTypes.ts");
exports.setActiveJsonEditor = (active) => (dispatch, getState) => {
    dispatch({
        type: actionTypes_1.JSON_EDITOR_ACTION_TYPES.SET_ACTIVE,
        payload: active,
    });
};
exports.resizeWidthAction = (width) => (dispatch, getState) => {
    dispatch({
        type: actionTypes_1.JSON_EDITOR_ACTION_TYPES.SET_WIDTH,
        payload: width,
    });
};
exports.setNewLineAction = (newLine) => (dispatch, getState) => {
    dispatch({
        type: actionTypes_1.JSON_EDITOR_ACTION_TYPES.SET_NEW_LINE,
        payload: newLine,
    });
};


/***/ }),

/***/ "./src/reducers/constants/actionTypes.ts":
/*!***********************************************!*\
  !*** ./src/reducers/constants/actionTypes.ts ***!
  \***********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.JSON_EDITOR_ACTION_TYPES = {
    SET_ACTIVE: 'json-editor/SET_ACTIVE',
    SET_WIDTH: 'json-editor/SET_WIDTH',
    SET_NEW_LINE: 'json-editor/SET_NEW_LINE',
};


/***/ }),

/***/ "./src/reducers/index.ts":
/*!*******************************!*\
  !*** ./src/reducers/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./reducers */ "./src/reducers/reducers/index.ts"));
__export(__webpack_require__(/*! ./actions */ "./src/reducers/actions/index.ts"));


/***/ }),

/***/ "./src/reducers/reducers/index.ts":
/*!****************************************!*\
  !*** ./src/reducers/reducers/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var jsonEditor_1 = __webpack_require__(/*! ./jsonEditor */ "./src/reducers/reducers/jsonEditor.ts");
exports.preferencesReducer = jsonEditor_1.default;


/***/ }),

/***/ "./src/reducers/reducers/jsonEditor.ts":
/*!*********************************************!*\
  !*** ./src/reducers/reducers/jsonEditor.ts ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = __webpack_require__(/*! ../../core */ "./src/core/index.ts");
const actionTypes_1 = __webpack_require__(/*! ../constants/actionTypes */ "./src/reducers/constants/actionTypes.ts");
const defaultState = {
    active: core_1.SettingsTypes.USER,
};
const reducer = (state = defaultState, action) => {
    const { type, payload } = action;
    switch (type) {
        case actionTypes_1.JSON_EDITOR_ACTION_TYPES.SET_ACTIVE:
            return Object.assign({}, state, { active: payload });
        case actionTypes_1.JSON_EDITOR_ACTION_TYPES.SET_WIDTH:
            return Object.assign({}, state, { width: payload });
        case actionTypes_1.JSON_EDITOR_ACTION_TYPES.SET_NEW_LINE:
            return Object.assign({}, state, { newLine: payload });
        default:
            return state;
    }
};
exports.default = reducer;


/***/ }),

/***/ "./src/utils/index.ts":
/*!****************************!*\
  !*** ./src/utils/index.ts ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./parser */ "./src/utils/parser.ts"));


/***/ }),

/***/ "./src/utils/parser.ts":
/*!*****************************!*\
  !*** ./src/utils/parser.ts ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __webpack_require__(/*! lodash */ "lodash");
const main_1 = __webpack_require__(/*! ../../../common/jsonc-parser/main */ "../common/jsonc-parser/main.ts");
exports.getContent = (settingsArray) => {
    let value = '';
    settingsArray.forEach(settings => {
        settings.data.forEach(el => {
            value += `//${el.description}\n`;
            if (el.type === 'object') {
                value += `"${el.name}": "${el.default.replace(/\"/g, `'`)}"\n\n`;
            }
            else {
                value += `"${el.name}": "${el.default}"\n\n`;
            }
        });
    });
    return value;
};
exports.findEditorLines = (domContent, settingsArr) => {
    const settings = this.transform(settingsArr);
    let settingsIndex = 0;
    let contentName = 'description';
    return lodash_1.map(domContent, (content, index) => {
        if (settingsIndex < settings.length) {
            const normaliseStr = settings[settingsIndex][contentName].replace(/\s+/g, ' ');
            const normaliseSubStr = content.replace(/\s+/g, ' ');
            const substrIndex = normaliseStr.indexOf(normaliseSubStr);
            if (substrIndex === -1 || contentName === 'empty') {
                settingsIndex++;
            }
            let res;
            if (contentName === 'empty') {
                res = { index: -1, content, display: false, i: index };
            }
            else {
                res = { index: settingsIndex, content, display: false, i: index };
            }
            if (substrIndex === -1 || substrIndex + normaliseSubStr.length === normaliseStr.length) {
                if (contentName === 'description') {
                    contentName = 'option';
                }
                else if (contentName === 'option') {
                    contentName = 'empty';
                }
                else if (contentName === 'empty') {
                    contentName = 'description';
                }
            }
            return res;
        }
        else {
            return { index: -1, content, display: false, i: index };
        }
    });
};
exports.transform = (settingsArr) => {
    return lodash_1.map(settingsArr, item => {
        return { description: `//${item.description}`, option: `"${item.name}": "${item.default}"`, empty: '\n' };
    });
};
exports.getHints = (settings) => {
    if (settings.type === 'boolean') {
        return ['true', 'false'];
    }
    else if (settings.type === 'string' && settings.enum && settings.enum.length) {
        return settings.enum;
    }
    else if (settings.type === 'string' && (!settings.enum || !settings.enum.length)) {
        return ['Copy to settings'];
    }
    else if (settings.type === 'number') {
        return ['Copy to settings'];
    }
};
exports.insertNewContent = (content, newLine) => {
    const contentArray = content.split('\n');
    contentArray.pop();
    contentArray.push(newLine);
    contentArray.push('}');
    return contentArray.join('\n');
};
exports.change1 = (startLineNumber, column) => {
    return {
        changes: [{
                range: {
                    endColumn: column + 1,
                    endLineNumber: startLineNumber - 1,
                    startColumn: column + 1,
                    startLineNumber: startLineNumber - 1,
                },
                rangeLength: 0,
                text: '\n    ',
            }],
        eol: '\n',
        isFlush: false,
        isRedoing: false,
        isUndoing: false,
        versionId: 2,
    };
};
exports.change2 = (insertedStr, startLineNumber) => {
    return {
        changes: [{
                range: {
                    endColumn: 1,
                    endLineNumber: startLineNumber,
                    startColumn: 1,
                    startLineNumber: startLineNumber,
                },
                rangeLength: 0,
                text: insertedStr,
            }],
        eol: '\n',
        isFlush: false,
        isRedoing: false,
        isUndoing: false,
        versionId: 3,
    };
};
exports.change4 = (insertedStr, startLineNumber, oldLength) => {
    return {
        changes: [{
                range: {
                    endColumn: oldLength + 1,
                    endLineNumber: startLineNumber,
                    startColumn: 1,
                    startLineNumber: startLineNumber,
                },
                rangeLength: oldLength - 4,
                text: insertedStr,
            }],
        eol: '\n',
        isFlush: false,
        isRedoing: false,
        isUndoing: false,
        versionId: 3,
    };
};
exports.countSettingsLength = (preferences) => {
    let length = 0;
    if (!preferences) {
        return length;
    }
    preferences.forEach(el => {
        length += el.data.length;
    });
    return length;
};
exports.getDeltaDecorations = (monaco, preferences) => {
    const preferencesLength = exports.countSettingsLength(preferences);
    const deltaDecoration = [];
    for (let i = 0; i < preferencesLength * 3; i = i + 3) {
        deltaDecoration.push({
            range: new monaco.Range(i + 2, 1, i + 2, 1),
            options: {
                glyphMarginClassName: 'line-hint',
            },
        });
    }
    return deltaDecoration;
};
exports.checkExist = (content, newLine) => {
    const key = main_1.parse(newLine);
    const jsonContent = main_1.parse(content);
    const value = jsonContent[key];
    let checkedIndex = 0;
    let oldLength = 0;
    if (value !== null && value !== undefined) {
        const lines = content.split('\n');
        const newArr = lodash_1.map(lines, (el, index) => {
            if (el.indexOf(value) !== -1) {
                checkedIndex = index;
                oldLength = el.length;
                return newLine;
            }
            return el;
        });
        return { value: newArr.join('\n'), checkedIndex, oldLength };
    }
    return false;
};
exports.addCategories = (prefs, editor, viewZones) => {
    let position = 0;
    const viewZoneNew = [];
    prefs.forEach(key => {
        let domNode = document.createElement('div');
        domNode.className = 'widget-title';
        domNode.innerHTML = key.type.charAt(0).toUpperCase() + key.type.substr(1);
        const some = editor.changeViewZones(zones => {
            if (viewZones) {
                viewZones.forEach(el => zones.removeZone(el));
            }
            const res = zones.addZone({ afterLineNumber: position, domNode });
            viewZoneNew.push(res);
        });
        position += 3 * key.data.length;
    });
    return viewZoneNew;
};
exports.getPrefsList = (prefs) => {
    let list = [];
    prefs.forEach(el => {
        list = [...list, ...el.data];
    });
    return list;
};


/***/ }),

/***/ "@common-stack/client-react":
/*!*********************************************!*\
  !*** external "@common-stack/client-react" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/client-react");

/***/ }),

/***/ "@files-stack/client-redux":
/*!********************************************!*\
  !*** external "@files-stack/client-redux" ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@files-stack/client-redux");

/***/ }),

/***/ "@files-stack/graphql-gql":
/*!*******************************************!*\
  !*** external "@files-stack/graphql-gql" ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@files-stack/graphql-gql");

/***/ }),

/***/ "@workbench-stack/monaco-browser":
/*!**************************************************!*\
  !*** external "@workbench-stack/monaco-browser" ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/monaco-browser");

/***/ }),

/***/ "classnames":
/*!*****************************!*\
  !*** external "classnames" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("classnames");

/***/ }),

/***/ "lodash":
/*!*************************!*\
  !*** external "lodash" ***!
  \*************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "react" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ "react-apollo":
/*!*******************************!*\
  !*** external "react-apollo" ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-apollo");

/***/ }),

/***/ "react-click-outside":
/*!**************************************!*\
  !*** external "react-click-outside" ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-click-outside");

/***/ }),

/***/ "react-dimensions":
/*!***********************************!*\
  !*** external "react-dimensions" ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-dimensions");

/***/ }),

/***/ "react-fela":
/*!*****************************!*\
  !*** external "react-fela" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-fela");

/***/ }),

/***/ "react-redux":
/*!******************************!*\
  !*** external "react-redux" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-redux");

/***/ }),

/***/ "react-resizable":
/*!**********************************!*\
  !*** external "react-resizable" ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-resizable");

/***/ }),

/***/ "reselect":
/*!***************************!*\
  !*** external "reselect" ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("reselect");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map