import { JSON_EDITOR_ACTION_TYPES } from '../constants/actionTypes';
export const setActiveJsonEditor = (active) => (dispatch, getState) => {
    dispatch({
        type: JSON_EDITOR_ACTION_TYPES.SET_ACTIVE,
        payload: active,
    });
};

export const resizeWidthAction = (width) => (dispatch, getState) => {
    dispatch({
        type: JSON_EDITOR_ACTION_TYPES.SET_WIDTH,
        payload: width,
    });
};

export const setNewLineAction = (newLine) => (dispatch, getState) => {
    dispatch({
        type: JSON_EDITOR_ACTION_TYPES.SET_NEW_LINE,
        payload: newLine,
    });
};
